/* ========================================== body setting */
body {
    font-family: 'Poppins', sans-serif;
}
h1,h2,h3,h4,h5,h6,p{
    font-family: 'Poppins', sans-serif;
}
/* ========================================== color setting */
.bg-green-ukm{
    background-color: #a1b914;
}
.outline-green-ukm{
    outline-color: #a1b914; /* Hanya warna outline */
    outline-width: 1px;     /* Ketebalan outline (opsional) */
    outline-style: solid;   /* Gaya outline (opsional) */
}
.bg-blue-ukm{
    background-color: #005267;
}
.color-blue-ukm{
    color: #005267;
}
.color-green-ukm{
    color: #a1b914 !important;
}
.bg-red-ukm{
    background-color: #f81b0b;
}
.bg-green-gradient{
    background-image: linear-gradient(90deg, #a1b914, #607909);
}
.bg-shopee{
    background-color: #cf5c42;
}
.color-shopee{
    color:#cf5c42
}
.bg-tokopedia{
    background-color: #11ab21;
}
.color-tokopedia{
    color:#11ab21
}
:root {
    --bg-green-ukm: #acce31;
    --text-green-ukm: #acce31;
    --bs-nav-link-color: #6c757d;
}
/* ========================================== set untuk hover */
.custom-hover-nav:hover {
    color: rgb(184, 184, 184); 
    transition: color 0.3s ease; 
}
.nav-link.active.custom-hover-nav {
    color: #005267; /* Ubah warna teks */
    font-weight: bold;
    transition: all 0.3s ease; /* Animasi */
    border-bottom: 2px solid #005267;
}

.custom-hover-btn:hover {
    transition: all 0.3s ease-in-out;
    outline: 7px solid #a1b914; /* Border tebal saat hover */
}
.custom-hover-btn-green:hover {
    transition: all 0.3s ease-in-out;
    outline: 7px solid #a1b914; /* Border tebal saat hover */
}
.custom-hover-card {
    outline: 0px solid #a1b914;
  }
.custom-hover-card:hover {
  transition: all 0.3s ease-in-out;
  outline: 7px solid #a1b914; /* Border tebal saat hover */
  background-color: #f0f0f0 !important;
}
.custom-hover-netral:hover{
    transition: all 0.3s ease-in;
    background-color: #7e7e7e !important;
}
#sidebar-nav>.nav-item > .nav-link.active{
    color: #4154f1 !important;
    background-color: #f5f7fc !important;
}
.nav-link.active>#icon-menu{
    color: #4154f1 !important;
}
/* ========================================== set custom untuk tab bar */
#v-pills-tab .nav-link:not(.active) {
    color: #6c757d !important;
}

.nav-pills .nav-link.active{
    background-color: white !important;
    color: #2d3033 !important;
    font-weight: bold;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2), 0 3px 6px 0 rgba(0, 0, 0, 0.1);
}
/* ========================================== set custom z-index untuk lib */
.datepicker-container{
    z-index: 1100 !important;/*z-index modal bs=1056*/
}

.select2-container{
    z-index: 1100 !important;/*z-index modal bs=1056*/
}

/* ========================================== Kustomisasi Select2 Dropdown */
.select2-container--default .select2-selection--multiple {
    border: 1px solid #ced4da; /* Border sesuai dengan form Bootstrap */
    border-radius: 0.375rem;   /* Border-radius Bootstrap */
    padding: 0.375rem;         /* Padding dalam */
    background-color: #f8f9fa; /* Warna latar */
    height: 100px;
}


/* ========================================== carousel gradient black */
.carousel-item {
  position: relative;
}

.carousel-item img {
  object-fit: cover;
  width: 100%;
  height: 100%;
}

.carousel-item::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: linear-gradient(to top, rgba(0, 0, 0, 0.5) 0%, rgba(0, 0, 0, 0) 50%, rgba(0, 0, 0, 0) 100%);
  z-index: 1;
}

.carousel-caption {
  position: relative;
  z-index: 2;
}

/* ========================================== custom scroll  */
/* Untuk Webkit browsers (Chrome, Safari, Edge, Opera) */
::-webkit-scrollbar {
    width: 10px; /* Lebar scrollbar */
    height: 10px; /* Tinggi scrollbar (untuk scroll horizontal) */
}

/* Track scrollbar */
::-webkit-scrollbar-track {
    background: #f1f1f1; /* Warna latar belakang track scrollbar */
    border-radius: 10px;
}

/* Handle scrollbar */
::-webkit-scrollbar-thumb {
    background: #888; /* Warna handle scrollbar */
    border-radius: 10px;
}

/* Handle scrollbar saat hover */
::-webkit-scrollbar-thumb:hover {
    background: #555; /* Warna saat dihover */
}

/* Optional: Scrollbar Corner */
::-webkit-scrollbar-corner {
    background: #f1f1f1; /* Warna sudut scrollbar */
}

/* ========================================== custom txt truncate */
.text-truncate-2 {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    line-clamp: 2;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: normal;
    padding: 0;
}

.text-truncate-3 {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    line-clamp: 3;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: normal;
    padding: 0;
}

.text-truncate-custom {
    white-space: nowrap; /* Hindari teks meluas ke baris berikutnya */
    overflow: hidden;    /* Sembunyikan teks yang melampaui kontainer */
    text-overflow: ellipsis; /* Tambahkan titik-titik (ellipsis) */
    display: block; /* Pastikan elemen ini mematuhi aturan layout */
    max-width: 100%; /* Tentukan lebar maksimal jika tidak secara otomatis */
}

/* ========================================== grid image for product */
.thumbnail-image {
    cursor: pointer;
    transition: transform 0.2s ease-in-out;
}
.thumbnail-image:hover {
    transform: scale(1.05);
}
.active-thumbnail {
    border: 2px solid #11ab21;
}

/* ============================================ responsive */
@media (max-width: 768px) {
    #banner-wrap {
        height: 200px !important;
    }
    #carouselSimadu{
        margin-top:30px !important;
        margin-bottom:30px !important;
    }
    #title-home{
        font-size:30px !important;
    }
    .button-homelanding{
        width: 100% !important;
        margin-bottom:15px !important;
    }
    .card-pelatihan{
        padding:0px !important;
    }
    #navbarTogglerDemo03{
        position: absolute;
        top: 0;
        padding: 20px;
        height: 100vh;
        width: 100%;
        left: 0;
        margin-top: 70px;
    }
    #button-group-nav{
        width: 100%;
        left:0;
        padding:15px;
        bottom: 70px;
        position: absolute;
        flex-direction: column;
        justify-content: flex-end;
    }
    #button-single-nav{
        width: 100%;
        padding-top:10px;
        padding-bottom:10px;
        margin-bottom:5px;
    }
    #hidden-icon{
        display: none !important;
    }
}
/* ================================================= swiper js */

  .swiper{
    width: 100%;
  }

  .swiper-slide {
    text-align: center;
    font-size: 18px;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .swiper-slide img {
    display: block;
    width: 100%;
    height: 550px;
    object-fit: contain;
  }

  .swiper-button-next:after, .swiper-button-prev:after{
    font-size: 20px !important;
    color: #2d3033;
    font-weight: bold;
  }

  @media (max-width: 768px) {
    .swiper-slide img {
        display: block;
        width: 100%;
        height: 250px;
        object-fit: contain;
    }
  }

  .swiper-pagination-progressbar-fill{
    background-color: #005267 !important;
  }
  /* =================================================== laoding */
  .loading-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1050; /* pastikan lebih tinggi dari elemen lainnya */
  }
  .card-loading {
    background-color: #ffffff; /* latar belakang putih */
    border: none;
  }
  .spinner-grow {
    width: 2rem;
    height: 2rem;
  }

/* ==================================================== ICON FOR ALERT INFO IN DASHBOARD */
.icon-size-alert{
    line-height: 41px;
    height: 60px;
    width: 60px;
    border-radius: 100%;
    padding: 10px;
    position: absolute;
    top: 50%;
    left: 10px;
    font-size: 2.5rem;
    text-align: center;
    transform: translateY(-50%);
    pointer-events: none;
}
/* ==================================================== button */

.btn-green-ukm{
    color: #fff;
    background-color: #005267;
    padding: 2px;
}
.btn-green-ukm:hover{
    background-color: #005267;
    color: #fff;
    transition: all 0.3s ease-in-out;
}
.btn-outline-green-ukm{
    color: #005267;
    outline-color: #005267;
    outline-width: 1px;
    outline-style: solid;
    padding: 2px;
}
.btn-outline-green-ukm:hover{
    color: #fff;
    background-color: #005267;
    transition: all 0.3s ease-in-out;
}

/* ================================================== opacity  */
.opacity-hover:hover{
    opacity:1.0 !important;
    transition: all 0.3s ease-in-out;
}

/* ================================================== datatables custom */

.table-container {
    overflow-x: auto;
  }
  
  .scrollable-table {
    width: 100%;
    border-collapse: collapse;
    table-layout: auto; /* Ubah jika sebelumnya menggunakan fixed */
    border-spacing: 0;
  }
  
  .scrollable-table thead th,
  .scrollable-table tbody td {
    padding: 10px;
    text-align: left;
    border: 1px solid #ddd;
    white-space: nowrap;
  }
  
  .scrollable-table thead th {
    position: sticky;
    top: 0;
    background-color: #f1f1f1; /* Warna latar untuk header */
    z-index: 10;
  }

  .dataTables_wrapper .dataTables_paginate {
    float: right;
}

.dataTables_paginate {
    position: absolute;
    right: 50px;
}
.dataTables_info {
    padding-bottom: 20px;
}

/* ====================================================== SELECT2 CUSTOM */
.select2.select2-container {
    width: 100% !important;
  }
.select2-selection{
    height: 58px    ;
}